PWHICH(1)

NAME
pwhich - Perl-only `which'

SYNOPSIS
  $ pwhich perl
  $ pwhich -a perl          # print all matches
  $ pwhich perl perldoc ... # look for multiple programs
  $ pwhich -a perl perldoc ...

DESCRIPTION
`pwhich' is a command-line utility program for finding paths to other programs based on the user's "PATH". It is similar to the usualy Unix tool `which', and tries to emulate its functionality, but is written purely in Perl (uses the module "File::Which"), so is portable.

  Calling syntax
  $ pwhich [-a] [-v] programname [programname ...]

  Options

-a  The option -a will make "pwhich" print all matches found in the "PATH" variable instead of just the first one. Each match is printed on a separate line.

-v  Prints version (of "File::Which") and copyright notice and exits.

SUPPORT
Bugs should be reported via the CPAN bug tracker at

http://rt.cpan.org/NoAuth/ReportBug.html?Queue=File-Which <http://rt.cpan.org/NoAuth/ReportBug.html?Queue=File-Which>

For other issues, contact the maintainer.

AUTHOR
Adam Kennedy <adamk@cpan.org>

Per Einar Ellefsen <pereinar@cpan.org>

Originated in modperl-2.0/lib/Apache/Build.pm. Changed for use in DocSet (for the mod_perl site) and Win32-awareness by me, with slight modifications by Stas Bekman, then extracted to create "File::Which".

Version 0.04 had some significant platform-related changes, taken from the Perl Power Tools `which' implementation by Abigail with enhancements from Peter Prymmer. See <http://www.perl.com/language/ppt/src/which/index.html> for more information.

COPYRIGHT
Copyright 2002 Per Einar Ellefsen.

Some parts copyright 2009 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
perl, File::Which, which(1)